@import '../settings.scss';

table {
    border: 1px solid var(--color-bg-secondary);
    border-radius: $border-radius;
    border-spacing: 0;
    display: inline-block;
    max-width: 100%;
    overflow-x: auto;
    padding: 0;
    white-space: nowrap;

    td, th, tr {
        padding: 0.4rem 0.8rem;
        text-align: var(--justify-important);
    }

    tr:nth-child(even) {
        background-color: var(--color-accent);
    }

    td:first-child {
        text-align: var(--justify-normal);
    }

    thead {
        background-color: var(--color);
        border-collapse: collapse;
        border-radius: $border-radius;
        color: var(--color-bg);
        margin: 0;
        padding: 0;

        th {
            &:first-child {
                border-top-left-radius: $border-radius;
                text-align: var(--justify-normal);
            }

            &:last-child {
                border-top-right-radius: $border-radius;
            }
        } 

    }
}